<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tx="http://www.springframework.org/schema/tx"
	xmlns:jdbc="http://www.springframework.org/schema/jdbc"
	xsi:schemaLocation="
           http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<!-- Déclaration du bean Spring ReferentielService -->
	<bean id="refService"
		class="fr.ge.common.regent.service.referentiel.impl.ReferentielServiceImpl" />

	<!-- Déclaration du bean Spring ReferentielReglesService -->
	<bean id="refReglesService"
		class="fr.ge.common.regent.service.referentiel.impl.ReferentielReglesServiceImpl" />

	<bean id="fonctionPdf" class="fr.ge.common.regent.context.function.FonctionPdf" />

	<bean id="fonctionRegent" class="fr.ge.common.regent.context.function.FonctionRegent">
		<constructor-arg name="correspondanceLiasseReseau"
			type="java.lang.String" value="Z:M;Y:C" />
		<constructor-arg name="correspondanceLiasseC43" type="java.lang.String"
			value="Z" />
	</bean>

	<!-- Service de generation de XML REGENT Capgemini -->
	<bean id="serviceGenerationXmlRegentFromDB"
		class="fr.ge.common.regent.service.impl.ServiceGenerationXmlRegentFromDBImpl">
		<constructor-arg type="java.lang.String"
			value="${xml.regent.separateur.evenement:#{T(fr.ge.common.regent.constante.ICommonConstante).XML_REGENT_SEPERATEUR_EVENEMENT}}" />
	</bean>

	<!-- Service de validation de XML TC -->
	<bean id="ServiceValidationXmlTc"
		class="fr.ge.common.regent.service.impl.ServiceValidationXmlTcImpl">
	</bean>
	
	<bean id="elContextBuilder" class="org.formiz.context.ElContextBuilder"
		init-method="init">
		<!-- Définition des fonctions disponibles dans le contexte -->
		<property name="functions">
			<map key-type="java.lang.String" value-type="java.lang.String">
				<!-- Fonctions systèmes, nécessaires pour le fonctionnement du moteur -->
				<entry key="refToString"
					value="fr.ge.common.regent.context.function.FonctionPdf.refToString" />
				<entry key="substring"
					value="fr.ge.common.regent.context.function.FonctionPdf.substring" />
				<entry key="recupererNationalite"
					value="fr.ge.common.regent.context.function.FonctionPdf.recupererNationalite" />
				<entry key="getListDates"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListDates" />
				<entry key="getListDirigeants"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListDirigeants" />
				<entry key="getDateDuJour"
					value="fr.ge.common.regent.context.function.FonctionRegent.getDateDuJour" />
				<entry key="getListeRegimes"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListeRegimes" />
				<entry key="getListeRegimesEtablissement"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListeRegimesEtablissement" />
				<entry key="typeDeLiasse"
					value="fr.ge.common.regent.context.function.FonctionRegent.typeDeLiasse" />
				<entry key="getListTelephone"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListTelephone" />
				<entry key="getListInsaisissabilite"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListInsaisissabilite" />
				<entry key="formatDate"
					value="fr.ge.common.regent.context.function.FonctionRegent.formatDate" />
				<entry key="formatJourMois"
					value="fr.ge.common.regent.context.function.FonctionRegent.formatJourMois" />
				<entry key="getBaliseC43"
					value="fr.ge.common.regent.context.function.FonctionRegent.getBaliseC43" />
				<entry key="getBaliseC43V2008"
					value="fr.ge.common.regent.context.function.FonctionRegent.getBaliseC43V2008" />
				<entry key="getListPrenom"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListPrenom" />
				<entry key="getListValeursOccurences"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListValeursOccurences" />
				<entry key="getListValeurs"
					value="fr.ge.common.regent.context.function.FonctionRegent.getListValeurs" />
				<entry key="getCodePays"
					value="fr.ge.common.regent.context.function.FonctionRegent.getCodePays" />
				<entry key="storeChoicesValues"
					value="fr.ge.common.regent.context.function.FonctionRegent.storeChoicesValues" />
			</map>
		</property>
	</bean>

	<bean id="xmlFieldFactory" class="org.xmlfield.core.XmlFieldFactory">
		<constructor-arg value="true"></constructor-arg>
	</bean>

	<bean id="declenchementRubriqueXmlRegent"
		class="fr.ge.common.regent.services.declenchement.impl.DeclenchementRubriqueXmlRegentServiceImpl" />
		
	<bean id="serviceRubriquesManagement"
		class="fr.ge.common.regent.service.impl.ServiceRubriquesManagementImpl" />		

	<bean id="factory" class="fr.ge.common.regent.config.GeSourcesFactory"
		init-method="init">
	</bean>

	<bean id="listXmlSources" factory-bean="factory" factory-method="getXmlSources" />

	<bean id="xmlMetadata" class="fr.ge.common.regent.xml.impl.FormMetadataDemo"
		init-method="init">
		<property name="inputSources" ref="listXmlSources"></property>
	</bean>

	<bean id="xmlWriter" class="fr.ge.common.regent.xml.impl.XmlWriter" />

</beans>

